<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Shipping Calculator</title>
    <style>
        .input{
            font-size: 15px;
            padding: 10px
        }
        .calculate_button{
            font-size: 15px;
            padding:10px;
            background-color: rgb(133, 207, 22);
            color: aliceblue;
            border: none;
        }
    </style>
</head>
<body>
    <h3>Amazon Shipping Calculator</h3>
    <p>Your shipping cost is 50, if cost of product if less than 400.</p>
    <input placeholder="cost of order" class="input" onkeydown="
    handleKeyDown(event);
    ">
    <button onclick="
        calculator();
    " class="calculate_button">Calculate</button>
    <!-- //click keydowns = events
    //onclick,onkeydown => event listener -->
    <p class="totalCost"> </p>

    <script>
        function handleKeyDown(event){
            //console.log(event.key);
        if(event.key === 'Enter'){
            calculator();
        }
        }
        function calculator(){
            const inputElement= document.querySelector('.input');
            let cost = Number(inputElement.value); 
            //takes input as string so convert to  num else it will concatenate while adding shippping charges instead of adding
            
            if(cost < 400){
                cost = cost + 50;  // added  shipping cost for rs under 400
            }

            document.querySelector('.totalCost')
            .innerHTML=(`Total cost is: Rs ${cost}`);
        }

        // window is built in object that represent browser
        // window.console.log("hello") === console.log("hello")

        //window.alert() === alert()
        // window.documeny
        //eveything is window by default
    </script>
</body>
</html>